<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net7.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
    <PackageId>UserManager.Infrastructure</PackageId>
    <Version>1.0.0</Version>
    <Authors>Digital Data GmbH</Authors>
    <Company>Digital Data GmbH</Company>
    <Product>UserManager.Infrastructure</Product>
    <Description>This package provides essential tools for managing user information and permissions. It offers comprehensive CRUD operations for user data and includes features for managing user roles and authentication.</Description>
    <Copyright>Copyright 2024</Copyright>
    <PackageIcon>icon.png</PackageIcon>
    <RepositoryUrl>http://git.dd:3000/AppStd/WebUserManager.git</RepositoryUrl>
    <PackageTags>digital data infrastructure user maanger</PackageTags>
  </PropertyGroup>

  <ItemGroup>
    <None Include="..\DigitalData.UserManager.Domain\Assets\icon.png">
      <Pack>True</Pack>
      <PackagePath>\</PackagePath>
    </None>
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="DigitalData.Core.Infrastructure" Version="2.0.0" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="7.0.16" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="7.0.15">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="7.0.15" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\DigitalData.UserManager.Domain\DigitalData.UserManager.Domain.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Update="Assets\icon.png">
      <Pack>True</Pack>
      <PackagePath>\</PackagePath>
    </None>
  </ItemGroup>

</Project>
